using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Prototype
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ConcretePrototype1 p1 = new ConcretePrototype1("1");
            ConcretePrototype1 c1 = (ConcretePrototype1)p1.Clone();
            ConcretePrototype2 p2 = new ConcretePrototype2("2");
            ConcretePrototype2 c2 = (ConcretePrototype2)p2.Clone();
            string s1 = c1.Id;
            string s2 = c2.Id;
            MessageBox.Show("object c1 cloned "+s1+"\n"+ "object c2 cloned " + s2);
        }
    }
}
